org.richfaces.resource

## Class CompiledCSSResource

- java.lang.Object
- - javax.faces.application.Resource
  - - org.richfaces.resource.AbstractBaseResource
    - - org.richfaces.resource.AbstractCacheableResource
      - - org.richfaces.resource.CompiledCSSResource

- All Implemented Interfaces:
    CacheableResource, StateHolderResource

      public class CompiledCSSResource
      extends AbstractCacheableResource
      implements StateHolderResource

  Author:
    amarkhel Class, that represented dynamic CSS resource.

- - ### Field Summary

    - ### Fields inherited from class org.richfaces.resource.AbstractBaseResource

      `URL_PROTOCOL`

    - ### Fields inherited from class javax.faces.application.Resource

      `COMPONENT_RESOURCE_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompiledCSSResource(javax.faces.application.Resource sourceResource)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getContentType()`
    `InputStream` | `getInputStream()`
    `String` | `getLibraryName()`
    `InputStream` | `getResourceInputStream()`
    `String` | `getResourceName()`
    `boolean` | `isTransient()`
    `void` | `readState(javax.faces.context.FacesContext context, DataInput dataInput)`
    `void` | `setLibraryName(String libraryName)`
    `void` | `setResourceName(String resourceName)`
    `boolean` | `userAgentNeedsUpdate(javax.faces.context.FacesContext context)`
    `void` | `writeState(javax.faces.context.FacesContext context, DataOutput dataOutput)`

    - ### Methods inherited from class org.richfaces.resource.AbstractCacheableResource

      `addCacheControlResponseHeaders, getEntityTag, getExpires, getTimeToLive, isCacheable, isMatchesEntityTag, isMatchesEntityTag, isMatchesLastModified, isMatchesLastModified, setCacheable`

    - ### Methods inherited from class org.richfaces.resource.AbstractBaseResource

      `addNoCacheResponseHeaders, getClassLoader, getContentLength, getLastModified, getRequestPath, getResponseHeaders, getURL`

    - ### Methods inherited from class javax.faces.application.Resource

      `setContentType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CompiledCSSResource

          public CompiledCSSResource(javax.faces.application.Resource sourceResource)

  - ### Method Detail

    - #### getLibraryName

          public String getLibraryName()

      Overrides:
        `getLibraryName` in class `javax.faces.application.Resource`

    - #### setLibraryName

          public void setLibraryName(String libraryName)

      Overrides:
        `setLibraryName` in class `javax.faces.application.Resource`

    - #### getResourceName

          public String getResourceName()

      Overrides:
        `getResourceName` in class `javax.faces.application.Resource`

    - #### setResourceName

          public void setResourceName(String resourceName)

      Overrides:
        `setResourceName` in class `javax.faces.application.Resource`

    - #### getResourceInputStream

          public InputStream getResourceInputStream()
                                             throws IOException

      Throws:
        `IOException`

    - #### getInputStream

          public InputStream getInputStream()
                                     throws IOException

      Specified by:
        `getInputStream` in class `javax.faces.application.Resource`
      Throws:
        `IOException`

    - #### getContentType

          public String getContentType()

      Overrides:
        `getContentType` in class `javax.faces.application.Resource`

    - #### userAgentNeedsUpdate

          public boolean userAgentNeedsUpdate(javax.faces.context.FacesContext context)

      Overrides:
        `userAgentNeedsUpdate` in class `AbstractCacheableResource`

    - #### isTransient

          public boolean isTransient()

      Specified by:
        `isTransient` in interface `StateHolderResource`

    - #### readState

          public void readState(javax.faces.context.FacesContext context,
                                DataInput dataInput)
                         throws IOException

      Specified by:
        `readState` in interface `StateHolderResource`
      Throws:
        `IOException`

    - #### writeState

          public void writeState(javax.faces.context.FacesContext context,
                                 DataOutput dataOutput)
                          throws IOException

      Specified by:
        `writeState` in interface `StateHolderResource`
      Throws:
        `IOException`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.